#!/bin/bash

#TMPDIR=$( mktemp -u )
TMPDIR='/tmp/.rdor4'

SCENARIO=$( ls $TMPDIR/rdor4*/*.xml | grep -v conf)
SEP="------------------------------------------------------------------"

START=$(date +%s)

function limpia () {

sudo vnx -f $SCENARIO -v -P -D

# Hacemos limpieza primero...
#PIDS=$( ps uaxww | grep "kernels/linux" | grep -v grep | awk '{ print $2 }' )
#if [ "$PIDS" ]; then
#    echo "Matando procesos UML linux:" $PIDS
#    sudo kill -9 $PIDS
#else
#    echo "No hay procesos linux"
#fi

PIDS=$( ps uaxww | grep "sudo vnx" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos vnx:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos vnx"
fi

#PIDS=$( ps uaxww | grep "mconsole" | grep -v grep | awk '{ print $2 }' )
#if [ "$PIDS" ]; then
#    echo "Matando procesos mconsole:" $PIDS
#    sudo kill -9 $PIDS
#else
#    echo "No hay procesos mconsole"
#fi

PIDS=$( ps uaxww | grep "comprueba-rdor4" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos comprueba-rdor4:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos comprueba-rdor4"
fi

PIDS=$( ps uaxww | grep "arranca-e4" | grep -v grep | awk '{ print $2 }' )
if [ "$PIDS" ]; then
    echo "Matando procesos arranca-e4:" $PIDS
    sudo kill -9 $PIDS
else
    echo "No hay procesos arranca-e4"
fi

#PIDS=$( ps uaxww | grep "nmap" | grep -v grep | awk '{ print $2 }' )
#if [ "$PIDS" ]; then
#    echo "Matando procesos nmap:" $PIDS
#    sudo kill -9 $PIDS
#else
#    echo "No hay procesos nmap"
#fi

#echo "*** Finalizado ***"
}

( limpia; END=$(date +%s); echo "$SEP"; DIFF=$(( $END - $START)); echo "Duración total: $DIFF segundos"; echo "$SEP" ) | yad --text-info --tail --title 'Parando trabajo 4 RDOR...' --height 400 --width 800 --fontname="Monospace 7" --wrap &
